# ATM Finder in Banking & Financial Apps
source: https://developer.mastercard.com/locations/documentation/use-cases/atm-finder/index.md

## ATM Finder in Banking \& Financial Apps {#atm-finder-in-banking--financial-apps}

Customers regularly need access to cash and increasingly expect this capability to be integrated within the digital experiences they use every day. ATM Locations API allows banks, fintechs, and digital wallet providers to offer real-time ATM discovery directly within their mobile apps and online platforms. Using a customer's current location or a specified destination, applications can surface relevant ATM options and guide users to convenient cash-access points. This embedded experience reduces friction, improves customer satisfaction, and increases engagement with digital channels. It is particularly valuable for digital-first financial providers that do not own ATM networks but still need to support customer cash-access needs

### Where it applies {#where-it-applies}

Organizations that provide consumer-facing financial experiences and need to support customer cash-access journeys like:

* Issuers
* Fintechs
* Digital Wallet Providers
* Consumer Banking Applications

## How it works {#how-it-works}

Diagram sequence-atm-finder

**Search for ATMs**

Example request parameters, searching for ATM locations within a radius of 10 miles

```javascript
 limit=5
 distance=10
 distance_unit=MILE
```

Example POST Payload, searching for ATM locations within a radius of an address

```json
{
  "addressLine1":"285 Fulton St",
  "city":"New York",
  "countryCode":"USA",
  "countrySubdivisionCode":"NY",
  "postalCode":"10007"
}  
```

Example response:

```json
{
  "count": 5,
  "limit": 5,
  "offset": 0,
  "total": 12,
  "atms": [
    {
      "accessFees": "DOMESTIC_AND_INTERNATIONAL",
      "addressLine1": "7 WORLD TRADE CTR",
      "atmTerminalId": "AC006309",
      "availability": "UNKNOWN",
      "camera": "NO",
      "countryCode": "USA",
      "countryName": "UNITED STATES",
      "countrySubdivisionCode": "NY",
      "countrySubdivisionName": "NEW YORK",
      "city": "NEW YORK",
      "distance": 0.08774582730276924,
      "distanceUnit": "MILE",
      "geocodingResult": "S8HPNTSCZA",
      "handicapAccessible": "NOT_HANDICAP_ACCESSIBLE",
      "hasSharedDeposit": "NO",
      "isSurchargeFreeAlliance": "NO",
      "latitude": "40.713289",
      "locationName": "CITIBANK",
      "locationType": "FINANCIAL_INSTITUTION",
      "longitude": "-74.01183",
      "owner": "CITIBANK",
      "postalCode": "10007",
      "sponsor": "FISERV SOLUTIONS, LLC",
      "supportsEmv": "SUPPORTS_EMV",
      "surchargeFreeAllianceNetwork": "DOES_NOT_PARTICIPATE_IN_SFA",
      "sponsorICA": "88024",
      "routeTransactionNumber": "842548238"
    },
    {
      "accessFees": "UNKNOWN",
      "addressLine1": "225 LIBERTY ST STE 1",
      "atmTerminalId": "RA000943",
      "availability": "UNKNOWN",
      "camera": "NO",
      "countryCode": "USA",
      "countryName": "UNITED STATES",
      "countrySubdivisionCode": "NY",
      "countrySubdivisionName": "NEW YORK",
      "city": "NEW YORK",
      "distance": 0.08956877019103475,
      "distanceUnit": "MILE",
      "geocodingResult": "S8HPNTSCZA",
      "handicapAccessible": "UNKNOWN",
      "hasSharedDeposit": "NO",
      "isSurchargeFreeAlliance": "YES",
      "latitude": "40.712415",
      "locationName": "RITE AID",
      "locationType": "RETAIL_STORE",
      "longitude": "-74.015002",
      "owner": "ALLPOINT",
      "postalCode": "10281",
      "sponsor": "ALLPOINT NETWORK",
      "supportsEmv": "SUPPORTS_EMV",
      "surchargeFreeAllianceNetwork": "ALLPOINT_PREPAID",
      "sponsorICA": "2000579",
      "routeTransactionNumber": "840491031"
    },
    {
      "accessFees": "DOMESTIC_AND_INTERNATIONAL",
      "addressLine1": "200 VESEY ST 8TH FL",
      "atmTerminalId": "T309B776",
      "availability": "BUSINESS_HOURS",
      "camera": "NO",
      "countryCode": "USA",
      "countryName": "UNITED STATES",
      "countrySubdivisionCode": "NY",
      "countrySubdivisionName": "NEW YORK",
      "city": "NEW YORK",
      "distance": 0.09309857355313111,
      "distanceUnit": "MILE",
      "geocodingResult": "S8HPNTSCZA",
      "handicapAccessible": "IS_HANDICAP_ACCESSIBLE",
      "hasSharedDeposit": "NO",
      "isSurchargeFreeAlliance": "NO",
      "latitude": "40.71393",
      "locationName": "CITY NATIONAL BANK",
      "locationType": "FINANCIAL_INSTITUTION",
      "longitude": "-74.014658",
      "owner": "0309-CITY NATIONAL BANK",
      "postalCode": "10281",
      "sponsor": "FIDELITY INFORMATION SERVICES, INC.",
      "supportsEmv": "SUPPORTS_EMV",
      "surchargeFreeAllianceNetwork": "DOES_NOT_PARTICIPATE_IN_SFA",
      "sponsorICA": "88109",
      "routeTransactionNumber": "124312535"
    },
    {
      "accessFees": "DOMESTIC",
      "addressLine1": "185 GREENWICH ST UNIT LL5107",
      "atmTerminalId": "NY2132",
      "availability": "BUSINESS_HOURS",
      "camera": "NO",
      "countryCode": "USA",
      "countryName": "UNITED STATES",
      "countrySubdivisionCode": "NY",
      "countrySubdivisionName": "NEW YORK",
      "city": "NEW YORK",
      "distance": 0.09650006934863571,
      "distanceUnit": "MILE",
      "geocodingResult": "S8HPNTSCZA",
      "handicapAccessible": "NOT_HANDICAP_ACCESSIBLE",
      "hasSharedDeposit": "NO",
      "isSurchargeFreeAlliance": "NO",
      "latitude": "40.713359",
      "locationName": "ONE WORLD TRADE CENTER",
      "locationType": "FINANCIAL_INSTITUTION",
      "longitude": "-74.011683",
      "owner": "JPMORGAN CHASE",
      "postalCode": "10007",
      "sponsor": "JPMORGAN CHASE BANK, N.A.",
      "supportsEmv": "SUPPORTS_EMV",
      "surchargeFreeAllianceNetwork": "DOES_NOT_PARTICIPATE_IN_SFA",
      "sponsorICA": "5883",
      "ownerICA": "5883",
      "routeTransactionNumber": "840605018"
    },
    {
      "accessFees": "DOMESTIC",
      "addressLine1": "185 GREENWICH ST",
      "atmTerminalId": "NY2505",
      "availability": "ALWAYS_AVAILABLE",
      "camera": "NO",
      "countryCode": "USA",
      "countryName": "UNITED STATES",
      "countrySubdivisionCode": "NY",
      "countrySubdivisionName": "NEW YORK",
      "city": "NEW YORK",
      "distance": 0.09650006934863571,
      "distanceUnit": "MILE",
      "geocodingResult": "S8HPNTSCZA",
      "handicapAccessible": "NOT_HANDICAP_ACCESSIBLE",
      "hasSharedDeposit": "NO",
      "isSurchargeFreeAlliance": "NO",
      "latitude": "40.713359",
      "locationName": "WORLD TRADE CENTER - REMOTE ATMS",
      "locationType": "OTHER",
      "longitude": "-74.011683",
      "owner": "JPMORGAN CHASE",
      "postalCode": "10007",
      "sponsor": "JPMORGAN CHASE BANK, N.A.",
      "supportsEmv": "SUPPORTS_EMV",
      "surchargeFreeAllianceNetwork": "DOES_NOT_PARTICIPATE_IN_SFA",
      "sponsorICA": "5883",
      "ownerICA": "5883",
      "routeTransactionNumber": "840605018"
    }
  ]
}
```

## Relevant Endpoints {#relevant-endpoints}

[ATM Search](https://developer.mastercard.com/locations/documentation/api-reference/index.md#tag/ATMs/operation/getAtms)
helps identify ATM locations corresponding to geographic areas. Turn on the radius search parameters and insert geo-coordinates to transform your search into a rendered list of "nearby" ATMs.

API Reference: `POST /searches`

## Useful Links {#useful-links}

* [View the full Open API Specification](https://developer.mastercard.com/locations/documentation/api-reference/index.md)
* [Review the APIs error responses](https://developer.mastercard.com/locations/documentation/code-and-formats/index.md)
